The Swoole\Channel class

- « Swoole\Buffer::write

- Swoole\Channel::__construct »

- PHP Manual
- Swoole
- The Swoole\Channel class

# The Swoole\Channel class

(PECL swoole >= 1.9.0)

## Introduction

## Class synopsis

class Swoole\Channel {
/* Methods */
public __destruct(): void
public pop(): mixed
public push(string `$data`): bool
public stats(): array
}

## Table of Contents

- Swoole\Channel::__construct — Construct a Swoole Channel
- Swoole\Channel::__destruct — Destruct a Swoole channel.
- Swoole\Channel::pop — Read and pop data from swoole channel.
- Swoole\Channel::push — Write and push data into Swoole channel.
- Swoole\Channel::stats — Get stats of swoole channel.